## org.eclipse.datatools.connectivity
Interface IConnectionFactory

All Known Subinterfaces:
  IConnectionFactoryProvider

All Known Implementing Classes:
  JDBCConnectionFactory

public interface IConnectionFactory

This interface is used for creating connections to connection profiles. This interface must be implemented by connection factory extensions.

Author:
  rcernich Created on Jan 16, 2004

Method Summary
`IConnection` `createConnection(IConnectionProfile profile)` This method creates a connection to a server based on the properties specified by the connection profile.
`IConnection` `createConnection(IConnectionProfile profile, java.lang.String uid, java.lang.String pwd)` This method creates a connection to a server based on the properties specified by the connection profile.

Method Detail

### createConnection

    public IConnection createConnection(IConnectionProfile profile)

  This method creates a connection to a server based on the properties specified by the connection profile. This method uses the user id and password specified in the profile.

  Parameters:
    `profile` - the profile to connect to.
  Returns:
    a connection if successful

### createConnection

    public IConnection createConnection(IConnectionProfile profile,
                                        java.lang.String uid,
                                        java.lang.String pwd)

  This method creates a connection to a server based on the properties specified by the connection profile. This method uses the user id and password specified in the method call.

  Parameters:
    `profile` - the profile to connect to.
    `uid` - the user id to use
    `pwd` - the password to use
  Returns:
    a connection if successful

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.